package gq.unurled.raxen.components.entity;

import gq.unurled.raxen.Raxen;
import org.bukkit.NamespacedKey;

public class EntityNamespacedKey {
    public EntityNamespacedKey(Raxen main) {
        levelKey = new NamespacedKey(main, "level");
        strengthKey = new NamespacedKey(main, "strength");
        healthKey = new NamespacedKey(main, "health");
        speedKey = new NamespacedKey(main, "speed");
        defenseKey = new NamespacedKey(main, "defense");
    }

    public final NamespacedKey levelKey;
    public final NamespacedKey healthKey;
    public final NamespacedKey speedKey;
    public final NamespacedKey defenseKey;
    public final NamespacedKey strengthKey;
}
