package gq.unurled.raxen.utils;

import gq.unurled.raxen.Raxen;
import org.bukkit.attribute.Attribute;
import org.bukkit.entity.Player;

import static gq.unurled.raxen.utils.Utils.msgPlayer;

public class Skills {

    public static void updateSkills(Player player) {
        gq.unurled.raxen.components.player.Skills skills = Raxen.getProfileManager().getPlayerProfile(player.getUniqueId()).getSkils();
        int health, itemHealth, defense, itemDefense, speed, itemSpeed, strength, itemDmg;
        health = skills.getHealth();
        itemHealth = skills.getItemHealth();
        defense = skills.getDefense();
        itemDefense = skills.getItemDefense();
        speed = skills.getSpeed();
        itemSpeed = skills.getItemSpeed();
        strength = skills.getStrength();
        itemDmg = skills.getItemDmg();
        player.getAttribute(Attribute.GENERIC_MAX_HEALTH).setBaseValue(20D + (health + itemHealth) / 100);
        player.setWalkSpeed((float) (0.0 + ((speed + itemSpeed) / 100) * 0.2));
        player.setFlySpeed((float) (0.0 + ((speed + itemSpeed) / 100) * 0.2));
        msgPlayer(player, "Speed " + (speed + itemSpeed), "Health " + (health + itemHealth), "Defense " + (defense+itemDefense), "Strength " + (strength+itemDmg));
    }

}
